org.eclipse.incquery.patternlanguage.emf.serializer

## Class EMFPatternLanguageCrossRefSerializer

- java.lang.Object
- - org.eclipse.xtext.serializer.tokens.CrossReferenceSerializer
  - - org.eclipse.incquery.patternlanguage.emf.serializer.EMFPatternLanguageCrossRefSerializer

- All Implemented Interfaces:
    org.eclipse.xtext.serializer.tokens.ICrossReferenceSerializer

      public class EMFPatternLanguageCrossRefSerializer
      extends org.eclipse.xtext.serializer.tokens.CrossReferenceSerializer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageCrossRefSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `serializeCrossRef(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.CrossReference crossref, org.eclipse.emf.ecore.EObject target, org.eclipse.xtext.nodemodel.INode node, org.eclipse.xtext.serializer.diagnostic.ISerializationDiagnostic.Acceptor errors)`

    - ### Methods inherited from class org.eclipse.xtext.serializer.tokens.CrossReferenceSerializer

      `isValid`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageCrossRefSerializer

          public EMFPatternLanguageCrossRefSerializer()

  - ### Method Detail

    - #### serializeCrossRef

          public java.lang.String serializeCrossRef(org.eclipse.emf.ecore.EObject semanticObject,
                                                    org.eclipse.xtext.CrossReference crossref,
                                                    org.eclipse.emf.ecore.EObject target,
                                                    org.eclipse.xtext.nodemodel.INode node,
                                                    org.eclipse.xtext.serializer.diagnostic.ISerializationDiagnostic.Acceptor errors)

      Specified by:
        `serializeCrossRef` in interface `org.eclipse.xtext.serializer.tokens.ICrossReferenceSerializer`
      Overrides:
        `serializeCrossRef` in class `org.eclipse.xtext.serializer.tokens.CrossReferenceSerializer`